Watchlist TV
curl --request GET \
--url 'https://api.themoviedb.org/3/account/{{account_id}}/watchlist/tv'import requests
url = "https://api.themoviedb.org/3/account/{{account_id}}/watchlist/tv"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/account/{{account_id}}/watchlist/tv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/seMRyWVwIVBWbC9xaMzDMZJ8fUH.jpg",
"first_air_date": "2022-10-09",
"genre_ids": [
16,
10759,
18
],
"id": 131041,
"name": "BLUE LOCK",
"origin_country": [
"JP"
],
"original_language": "ja",
"original_name": "ブルーロック",
"overview": "After a disastrous defeat at the 2018 World Cup, Japan's team struggles to regroup. But what's missing? An absolute Ace Striker, who can guide them to the win. The Japan Football Union is hell-bent on creating a striker who hungers for goals and thirsts for victory, and who can be the decisive instrument in turning around a losing match...and to do so, they've gathered 300 of Japan's best and brightest youth players. Who will emerge to lead the team...and will they be able to out-muscle and out-ego everyone who stands in their way?",
"popularity": 485.121,
"poster_path": "/fT9W86KFA9Khy2hIbkfClI8IYDH.jpg",
"vote_average": 8.1,
"vote_count": 363
}
],
"total_pages": 1,
"total_results": 1
}Account
Watchlist TV
Get a list of TV shows added to a users watchlist.
GET
/
3
/
account
/
{account_id}
/
watchlist
/
tv
Watchlist TV
Path Parameters
Query Parameters
Example:
"en-US"
Example:
"1"
Example:
"created_at.asc"
Response
200 - application/json
Watchlist TV
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/seMRyWVwIVBWbC9xaMzDMZJ8fUH.jpg",
"first_air_date": "2022-10-09",
"genre_ids": [16, 10759, 18],
"id": 131041,
"name": "BLUE LOCK",
"origin_country": ["JP"],
"original_language": "ja",
"original_name": "ブルーロック",
"overview": "After a disastrous defeat at the 2018 World Cup, Japan's team struggles to regroup. But what's missing? An absolute Ace Striker, who can guide them to the win. The Japan Football Union is hell-bent on creating a striker who hungers for goals and thirsts for victory, and who can be the decisive instrument in turning around a losing match...and to do so, they've gathered 300 of Japan's best and brightest youth players. Who will emerge to lead the team...and will they be able to out-muscle and out-ego everyone who stands in their way?",
"popularity": 485.121,
"poster_path": "/fT9W86KFA9Khy2hIbkfClI8IYDH.jpg",
"vote_average": 8.1,
"vote_count": 363
}
]
Example:
1
Example:
1